Subject: RE: running GDB under Emacs on NT
From: [email-masked] (Sergey Okhapkin)

18 Mar 1997 16:37:21 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "[email-masked]" <[email-masked]>,
        "'Chris Firth'"
	 <[email-masked]>
Encoding: 23 TEXT
Original-Sender: [email-masked]

Chris Firth wrote:
> 	Emacs		19.34.1
> 
> I have compiled the infamous "hello world" program with the "-g" option.
> In Emacs, I invoke the command "gdb hello.exe".  A "gud-hello.exe"
> window opens.  From there I enter "target exec hello.exe" and then "run"
> on the command like and it runs OK (I do get a bunch of messages
> complaining about not being able to read line numbers in some .dll files
> but I assume that's because I don't have the source for these files).
> If I try to run the same thing with a breakpoint set at "main" then a
> line is displayed that indicates the breakpoint is reached at main but
> the Emacs hangs.  The gdb prompt never appears and the source code does
> not show up in another window.  ^X^C does not free things up.  I have to
> kill the gdb.exe task from the NT Task Manager to get Emacs to work
> again.

I just tried the same with the same version of Emacs. No problems at all! Did You read NTemacs FAQ?

-- 
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".